1. Voids & Refunds
Español
  • Español
  • English
  • Back to home
  • Perú 🇵🇪
  • Bienvenidos
  • ONLINE PAYMENTS
    • CARD
      • 1. Request a card token
      • 2. Make a charge or deferred charge
      • 3. Void a transaction
      • 4. Refund a transaction
      • 5. Request deferred options
      • 6. Authorize payments
      • 7. Capture an authorized payment
      • 8. Bin Info
      • 9. Bin Info V2
      • 10. Validate OTP
      • 5. Request deferred options
      • 2. Make a charge or deferred charge
      • 1. Request a card token
      • 8. Bin Info
      • 7. Capture an authorized payment
      • 10. Validate OTP
      • 4. Refund a transaction
      • 9. Bin Info V2
      • 6. Authorize payments
      • 3. Void a transaction
    • ONE-CLICK & SCHEDULED PAYMENTS
      • 1. Request a recurring charge token
      • 2. Create a recurring charge
      • 3. Update recurring charge card data
      • 4. Make an One-click payment
      • 5. Cancel a recurring charge
      • 6. Update a recurring charge
      • 7. Add a temporary charge or discount
      • 8. Authorize payments
      • 9. Capture an authorized payment
      • 10. Get recurring charge Info
      • 9. Capture an authorized payment
      • 7. Add a temporary charge or discount
      • 8. Authorize payments
      • 5. Cancel a recurring charge
      • 4. Make an One-click payment
      • 1. Request a recurring charge token
      • 2. Create a recurring charge
      • 10. Get recurring charge Info
      • 6. Update a recurring charge
      • 3. Update recurring charge card data
    • TRANSFER IN
      • 2. Request a Transfer In token
      • 3. Init Transaction
      • 4. Get Status
      • 2. Request a Transfer In token
      • 4. Get Status
      • 3. Init Transaction
    • CASH IN
      • 1. Request a cash in token
      • 2. Init Transaction
      • 3. Transaction Status
      • 2. Init Transaction
      • 1. Request a cash in token
      • 3. Transaction Status
    • SMARTLINKS V2
      • 1. Create a Smartlink
      • 2. Get a Smartlink
      • 3. Delete a Smartlink
      • 4. Update a Smartlink
      • 4. Update a Smartlink
      • 2. Get a Smartlink
      • 3. Delete a Smartlink
      • 1. Create a Smartlink
    • ANALYTICS
      • 1. Get transactions list
      • 1. Get transactions list
    • GATEWAY STATUS
      • 1. Get gateway status
      • 1. Get gateway status
    • COMMISSIONS
      • 1. Get Commission Configuration
      • 1. Get Commission Configuration
    • PAYMENT CREDENTIALS
      • 1. Create a credential
      • 2. Search credentials
      • 3. Advanced search
      • 4. Activate or deactivate
      • 5. Delete credential
      • 6. Update credential
      • 7. Regenerate a credential
      • 6. Update credential
      • 7. Regenerate a credential
      • 2. Search credentials
      • 4. Activate or deactivate
      • 3. Advanced search
      • 1. Create a credential
      • 5. Delete credential
    • PAYMENT BUTTON
      • 1. Create a payment button
      • 1. Create a payment button
    • Request deferred options
  • CARD PRESENT PAYMENTS (API RAW)
    • Test data
    • error-catalog
    • One-time payments
      • Single payment
    • Two-step-payments
      • Authorization and capture
    • Voids & Refunds
      • Void & Reverse
        POST
      • Refund a transaction
        POST
    • Card information
      • Balance inquiries
      • Get BIN Info
      • BIN info V2
      • Request deferred options
    • Query Transactions
      • Transaction Search
  1. Voids & Refunds

Void & Reverse

POST
/pos/v1/transaction
With this endpoint you can:
Make cancellations
Perform reverse transactions
Cardless operations

Make cancellations (voids)#

You can void an authorization or an order identified by its transaction_reference number. The transaction_reference is provided when a charge or a deferred charge is successful.
Note
For partial voids, it is necessary to send the amount object.

Structure#

To void a transaction send Void in the transaction_mode field, and the transaction_reference of the transaction to cancel as part of the body of your request. (See full example on the right side of the screen).
Discover how to perform a cardless void.
Important
If a void is performed after the allowed time limit, the request will be processed as a refund.

Make reverses#

In case there are communication issues, and you are not sure if a transaction was approved or declined, you can perform a reverse to void a transaction.
Note
Reversals are only available on the same day as the transaction was made, before 23:59 for Peru (approximate time). Please note that you must wait at least 1 minute after the transaction before initiating a reversal.

Structure#

To reverse a transaction send Reverse in the transaction_mode field, and the client_transaction_id of the transaction to reverse as part of the body of your request. (See full example on the right side of the screen).

Cardless operations#

You can perform a reauthorization, capture, reverse, or void without requiring the reading of the card. Below you will find out how you can carry out a cardless operation:
Note
You can also check the information for a cardless refund.
To perform an operation without a card it is required to send the omit_card field with the value of true in the request. The fields required for a cardless operation are the following:
PropertyTypeAllowed values
amountObject
transaction_modeStringAuthorization, Void, Reverse
transaction_typeStringcharge, reAuthorization, capture
client_transaction_idString
transaction_referenceString
omit_cardBooleantrue, false
is_smart_voidBooleanOptional. true, false
Note
Cardless operations are available for Visa and Mastercard credit and debit cards, and are currently in Beta phase in Peru.

Example of a cardless operation#

To perform a cardless operation, the omit_card field is sent with the value of true and then the other non-required fields are omitted:
Capture
Void
Reverse
{
    "amount": {
        "currency": "PEN",
        "iva": 0.0,
        "subtotal_iva": 0.0,
        "subtotal_iva0": 600
    },
    "transaction_mode": "Authorization",
    "transaction_type": "capture",
    "client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a",
    "transaction_reference": "f2f29080-0214-42c0-95a5-77ecf3434cd7",
    "omit_card": true
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-uat.kushkipagos.com/pos/v1/transaction' \
--header 'Private-Credential-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": {
        "currency": "CLP",
        "iva": 0,
        "subtotal_iva": 0,
        "subtotal_iva0": 60000
    },
    "transaction_mode": "Void",
    "transaction_type": "charge",
    "client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a",
    "transaction_reference": "f2f29080-0214-42c0-95a5-77ecf3434cd7",
    "omit_card": true
}'
Response Response Example
200 - Example 1
{
    "additional_amounts": {
        "account_type": "",
        "amount": 0,
        "amount_type": "",
        "card_type": "",
        "currency_code": ""
    },
    "authorized_amount": 600,
    "card_type": "debit",
    "cvm_type": "none",
    "F11": "195967",
    "franchise": "VISA",
    "kushki_response": {
        "code": "000",
        "message": "Approval and completed successfully Accepted and processed."
    },
    "message_fields": {
        "F38": "123456",
        "F39": "00"
    },
    "transaction_reference": "260091a5-3ce6-43bd-92ef-4100b024fcd9",
    "transaction_status": "APPROVAL",
    "transaction_type": "charge",
    "ticket_number": "111728108177182252"
}
Modified at 2026-03-13 14:08:16
Previous
Voids & Refunds
Next
Refund a transaction
Built with